  <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
  <html>
  <head>
    <title>TV</title>
    <link rel="shortcut icon" href="/terminal.ico"/>
    <style type="text/css">
      @import url(/master.css);
    </style>
    <script type="text/javascript">
      function checkForm(){
        if(document.tv.day.value == "Alle" && document.tv.at.checked){
          alert("Gesamtzeitraum und Haekchen bei Uhrzeit widersprechen sich !");
          document.tv.at.focus();
          return false;
        }
        if(document.tv.at.checked){
          if(document.tv.time.value == ""){
            alert("Das Feld 'Zeit' ist nicht gesetzt !");
            document.tv.time.focus();
            return false;
          }
          else{
            if(! document.tv.time.value.match(/\d{2}:\d{2}/)){
              alert("Falsches Format fuer 'Zeit' ! \n\nSollformat: 'hh:mm' (Beispiel: 02:15)");
              document.tv.time.focus();
              return false;
            }
          }
          result=document.tv.time.value.match(/(\d{2}):(\d{2})/);
          hour=result[1];
          minute=result[2];
          if(hour > 23){
            alert("Stundenangabe ungueltig ! (Soll: 00-23)");
            document.tv.time.focus();
            return false;
          }
          if(minute > 59){
            alert("Minutenangabe ungueltig ! (Soll: 00-59)");
            document.tv.time.focus();
            return false;
          }
        }
      }
    </script>
  </head>

  <body>
  <!-- >>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>> -->
  <?php
    $wwwroot=$_SERVER['DOCUMENT_ROOT'];
    include $wwwroot."/common.php";
    if(onRootServer()){
      $rootServer=true;
    }
    else{
      $rootServer=false;
    }
    /*---------------------------------------------------------*/
    $germanDay=array("Monday" => "Montag",
                "Tuesday" => "Dienstag",
                "Wednesday" => "Mittwoch",
                "Thursday" => "Donnerstag",
                "Friday" => "Freitag",
                "Saturday" => "Samstag",
                "Sunday" => "Sonntag");
    /*---------------------------------------------------------*/
    function getDay($day){
      global $germanDay;
      return $germanDay[$day];
    }
    /*---------------------------------------------------------*/
    function digest(){
      $title=".*";
      $categories=".*";
      $genres=".*";
      $subTitle=".*";
      $channels=".*";
      $description=".*";
      $time=date("Y-m-d H:i").":00";
      /*--------------------------------------------------------
      Bei Erstaufruf ist nichts zu tun
      --------------------------------------------------------*/
      if(sizeof($_POST) == 0){
        return;
      }
      /*--------------------------------------------------------
      Titel ?
      --------------------------------------------------------*/
      if(! empty($_POST["title"])){
        $title=$_POST["title"];
      }
      /*--------------------------------------------------------
      Untertitel ?
      --------------------------------------------------------*/
      if(! empty($_POST["subTitle"])){
        $subTitle=$_POST["subTitle"];
      }
      /*--------------------------------------------------------
      Kanal ?
      --------------------------------------------------------*/
      if(in_array("Alle",$_POST['channels'])){
        $channels=".*";
      }
      else{
        $channels="";
        foreach($_POST["channels"] as $channel){
          if(empty($channels)){
            $channels="($channel";
          }
          else{
            $channels=$channels."|".$channel;
          }
        }
        $channels.=")";
      }
      /*--------------------------------------------------------
      Kategory ?
      --------------------------------------------------------*/
      if(in_array("Alle",$_POST['categories'])){
        $categories=".*";
      }
      else{
        $categories="";
        foreach($_POST["categories"] as $category){
          if(empty($categories)){
            $categories="($category";
          }
          else{
            $categories=$categories."|".$category;
          }
        }
        $categories.=")";
      }
      /*--------------------------------------------------------
      Genre ?
      --------------------------------------------------------*/
      if(in_array("Alle",$_POST['genres'])){
        $genres=".*";
      }
      else{
        $genres="";
        foreach($_POST["genres"] as $genre){
          if(empty($genres)){
            $genres="($genre";
          }
          else{
            $genres=$genres."|".$genre;
          }
        }
        $genres.=")";
      }
      /*--------------------------------------------------------
      Beschreibung ?
      --------------------------------------------------------*/
      if(! empty($_POST["description"])){
        $description=$_POST["description"];
      }
      /*--------------------------------------------------------
      Tag/Zeit ?
      --------------------------------------------------------*/
      if($_POST['day'] == "Alle"){
        $time=".*";
        if(!empty($_POST['at'])){
          myError("Fuer Zeitraum bis uebermorgen darf Haekchen bei Uhrzeit nicht gesetzt sein !");
        }
      }
      /*--------------------------------------------------------
      Bestimmter Tag
      --------------------------------------------------------*/
      else{
        if(empty($_POST['at'])){
          $time=$_POST['day'];
        }
        /*------------------------------------------------------
        Bestimmte Uhrzeit
        ------------------------------------------------------*/
        else{
          if(empty($_POST["time"])){
            myError("Feld Zeit ist nicht gesetzt");
          }
          /*----------------------------------------------------
          Uhrzeit gueltig ?
          ----------------------------------------------------*/
          $timeTmp=$_POST['time'];
          $result=array();
          if(! preg_match('/(\d{2}):(\d{2})/',$timeTmp,$result)){
            myError("Ungueltiges Zeitformat: ".$timeTmp);
          }
          $hour=$result[1];
          $minute=$result[2];
          if($hour > 23){
            myError("Ungueltige Stundenangabe: ".$hour." (Soll: 00-23)");
          }
          if($minute > 59){
            myError("Ungueltige Minutenangabe: ".$minute." (Soll: 00-59)");
          }
          /*----------------------------------------------------
          Ja => komplettieren
          ----------------------------------------------------*/
          $time=$_POST['day']." ".$timeTmp.":00";
        }
      }
      /*--------------------------------------------------------*/
      $handle=popen("/usr/bin/mytubehtml.rb -t '$title' -s '$subTitle' -C '$categories' -g '$genres' -c '$channels' -d '$description' -T '$time' ","r"); 
      while($line=fgets($handle)){
        echo "$line<br />";
      }
      pclose($handle);
      /*--------------------------------------------------------
      Generiertes Programm als iframe einbinden
      --------------------------------------------------------*/
      echo <<<ENDE
<br />
<iframe src="/tv/Programm.htm" width="100%" height="700">
</iframe>
<br />
ENDE;
    }
    /*---------------------------------------------------------*/
    function makeOptionList($optionArr){
      foreach($optionArr as $option){
        echo"<option value=".$option.">".$option;
      }
    }
    /*---------------------------------------------------------*/
  ?>
  <!-- <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<< -->
  <span style="font-family:Arial">
  <!-- >>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>> -->
  <?php
  if($rootServer){
  echo <<<ENDE
  <br /><em class="demo">Demoversion mit nur einem Fernsehkanal !</em><br /><br />
  Voll-Version im <a href="/Downloads">Downloadbereich</a>. TV-Rohdaten von <a href="http://www.epgdata.com" target="_blank">epgdata</a>.<br /><br />
  <hr>
ENDE;
  }
  ?>
  <!-- <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<< -->
  <form name="tv" action="tv.php" method="post" onsubmit="return checkForm()">
  <br />
  <!-- ####################################################### -->
  <table>
  <tr align="left">
    <td><em class="advert">TV-Programm: </em></td>
    <td><input type="submit" value="Anzeigen"></td>
  </tr>
  <tr align="left">
  <td><em class="advert">Auswahl: </em></td>
  <td><input type="reset" value="Zur&uuml;cksetzen"></td>
  </tr>
  <tr align="left">
  <td><a href="#help">Hilfe</a></td>
  </tr>
  </table><br /><hr><br />
  <!-- ####################################################### -->
  <table>
  <!-- +++++++++++++++++++++++++++++++++++++++++++++++++++++++ -->
  <tr align="right">
  <th>Titel</th>
  <th>Untertitel</th>
  <th>Tag</th>
  <th>um</th>
  <th>Zeit</th>
  <th>Kategorie</th>
  <th>Genre</th>
  <th>Kanal</th>
  <th>Beschreibung</th>
  </tr>
  <!-- +++++++++++++++++++++++++++++++++++++++++++++++++++++++ -->
  <tr align="right" valign="top">
  <!-- +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+ -->
  <td><input type="text" name="title" size="10" maxlength="30"></td>
  <!-- +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+ -->
  <td><input type="text" name="subTitle" size="10" maxlength="30"></td>
  <!-- +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+ -->
  <td>
    <select name="day">
    <option value="Alle">Heute bis <?php echo getDay(date("l",time()+172800));?> 06:00 Uhr
    <option value="<?php echo date("Y-m-d");?>" SELECTED><?php echo getDay(date("l"));?>
    <option value="<?php echo date("Y-m-d",time()+86400);?>"><?php echo getDay(date("l",time()+86400));?>
    <option value="<?php echo date("Y-m-d",time()+172800);?>"><?php echo getDay(date("l",time()+172800));?> bis 06:00 Uhr
    </select>
  </td>
  <!-- +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+ -->
  <!-- <td><input type="checkbox" name="at" value="yes" checked="checked"></td> -->
  <td><input type="checkbox" name="at" value="yes"></td>
  <!-- +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+ -->
  <td><input type="text" name="time" value="<?php echo date("H:i"); ?>" maxlength="5" size="5"></td>
  <!-- +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+ -->
  <td>
    <select name="categories[]" multiple size="5">
    <option value="Alle" SELECTED>Alle
    <?php makeOptionList(array("Information","Kinder","Kultur","Serie","Show","Spielfilm","Sport")); ?>
    </select>
  </td>
  <!-- +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+ -->
  <td>
    <select name="genres[]" multiple size="5">
    <option value="Alle" SELECTED>Alle
    <?php makeOptionList(array("Abenteuer","Action","Comedy","Dokumentarfilm","Dokumentation","Drama","Familie","Fantasy",
                               "Filme","Geschichte","Gesundheit","Heimat","Heimwerken","Homeshopping","Humor","Interview",
                               "Jugend","Kino","Klassik","Krimi","Kultur","Kurzfilm","Liebe","Magazin","Musik","Nachrichten",
                               "Natur","Politik","Pop","Ratgeber","Reise","Reportagen","Romantik","Serien","Show","Soap",
                               "Talkshow","Thriller","Verschiedenes","Western","Wirtschaft","Wissen","Zeichentrick"));
    ?>
    </select>
  </td>
  <!-- +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+ -->
  <td>
    <select name="channels[]" multiple size="5">
    <!-- >>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>> -->
    <?php 
      /*----------------------------------------------------------
      auf Strato-Server nur Demo-Version erlaubt
      ----------------------------------------------------------*/
      if($rootServer){
        echo"<option value=\"arte\" SELECTED>arte";
      }
      else{
        echo"<option value=\"Alle\" SELECTED>Alle";
        makeOptionList(array("3sat","ard","arte","bayern","bralpha","dasvierte","einsextra","einsfestival","einsplus",
                             "hessen","HSE24","kabeleins","kika","maxx","mdr","n24","ndr","nick","nitro","n-tv","phoenix","pro7",
                             "rbb","rtl","rtl2","sat1","superrtl","swr","tele5","vox","wdr","zdf","zdfinfo","zdfkultur","zdfneo"));
      }
    ?>
    <!-- <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<< -->
    </select>
  </td>
  <!-- +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+ -->
  <td><input type="text" name="description" size="10" maxlength="30"></td>
  <!-- +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+ -->
  </tr>
  <!-- +++++++++++++++++++++++++++++++++++++++++++++++++++++++ -->
  </table>
  <!-- ####################################################### -->
  <!-- >>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>> -->
  <?php
    /*---------------------------------------------------------*/
    digest();
    /*---------------------------------------------------------*/
  ?>
  <!-- ####################################################### -->
  <hr><br />
  <table>
  <tr align="left">
    <td><a name="help">Hinweise</a></td>
    <td>Die Suche umfasst <em>alle</em> Kriterien, d.h.  <em class="bash">Titel=... UND Untertitel=... UND ...</em></td>
  </tr>
  <tr align="left">
    <td/>
    <td>Gro&szlig;-/Kleinschreibung ist unerheblich</td>
  </tr>
  <tr align="left">
    <td><em class="file">Titel/Untertitel/Beschreibung:</em></td>
    <td>Klammerausdr&uuml;cke erlauben Alternativen, z.B. wird <em class="bash">(pflanze|beet|garten) </em> interpretiert als <em class="bash">garten ODER pflanze ODER beet</em></td>
  </tr>
  <tr align="left">
    <td><em class="file">Kategorie/Genre/Kanal:</em></td>
    <td>Mehrfachauswahl mit <em class="bash">Ctrl+linker Maustaste</em> wird interpretiert als z.B. <em class="bash">phoenix ODER arte ODER 3sat</em></td>
  </tr>
  </table><br />
  <!-- <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<< -->
  </form>
  <!-- ############################################################################################### -->
  <hr>
  <a href="/Impressum.htm" target="Mainframe">Impressum</a>
  </span>
  </body>
  </html>
